/******************** Defines *********************************/
#define MAX_N_ATOM 20000
/******************** Includes *********************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <malloc.h>

/******************* 10 for ran3 ****************************/

/******************** Prototypes *********************************/

double dist(double *coor1, double *coor2); 

/****************** Main  ******************************/

int main(int argc, char *argv[]) 
{
      FILE *fp1, *fp2;
      char buf[121],token[10];
      int i,j,k,l,m,n, dim, dimh, n_atom, *ind;
      double cutoff = 16.0, *gbr, *pred, *rad, **coor, x,y,z,r,g, d, bin = 0.2, *r0;
      extern double coef[2000];

      i = (int) ((cutoff + bin/2.0)/bin);
      dim = (i)* 25 + 5; 
      dimh = i; 
      
      if(argc != 3)
      {
      printf("Usage: ./pdb_to_gbr_lm file_in.pdb file_out.xyzgbr\n");
      exit(0);
      }
      i = 0;
      fp1=fopen(argv[1],"r");
      while(fgets(buf,120,fp1) != NULL) 
      if(!strncmp(buf,"ATOM  ", strlen("ATOM  ")))
       i++;
      n_atom = i;
      printf("n. atoms = %i\n", n_atom);
      fclose(fp1);
      rad = calloc(n_atom, sizeof(double));
      gbr = calloc(n_atom, sizeof(double));
      pred = calloc(n_atom, sizeof(double));
      ind = calloc(n_atom, sizeof(int));
      coor = calloc(n_atom, sizeof(double *));
      r0 = calloc(n_atom,sizeof(double));
       for(i=0; i< n_atom; i++)
          coor[i] = calloc(3,sizeof(int));
      i = 0;
      fp1=fopen(argv[1],"r");
      while(fgets(buf,120,fp1) != NULL)
      if(!strncmp(buf,"ATOM  ", strlen("ATOM  ")))
         {
         strncpy(token,buf+12,4);
         token[4]='\0';
         for(j=0; j< 4; j++)
          if(isalpha(token[j])) break;
          if(token[j] == 'H') { rad[i] = 1.20; ind[i] = 0, r0[i] = 0.959816630291932;} //H
          else if(token[j] == 'O') {rad[i] = 1.50; ind[i] = 1; r0[i] = 0.707718881749511;} //O
          else if(token[j] == 'N') {rad[i] = 1.55; ind[i] = 2; r0[i] = 0.747651517801311;} //N
          else if(token[j] == 'C') {rad[i] = 1.70; ind[i] = 3; r0[i] = 0.702712671560921;} //C
          else {rad[i] = 1.85; ind[i] = 4; r0[i] = 0.78984424313243;} //S

         strncpy(token,buf+30,8);
         token[8]='\0';
         sscanf(token,"%lf", &x);
          coor[i][0] = x;
         strncpy(token,buf+38,8);
         token[8]='\0';
         sscanf(token,"%lf", &y);
          coor[i][0] = x;
         strncpy(token,buf+46,8);
         token[8]='\0';
         sscanf(token,"%lf", &z);
          coor[i][0] = x;
          coor[i][1] = y;
          coor[i][2] = z;
          gbr[i] = 0.0;
          i++;
          }
       fclose(fp1);
       n_atom = i;  
          for(i=0; i<n_atom; i++)
          {
           pred[i] = r0[i];
           for(j=0; j<n_atom; j++)
            if(i != j )
            {
            d = dist(coor[i],coor[j]); 
            l = (int) (d/bin);
            if(l < 80 )
            pred[i] = pred[i] + coef[ind[i]*400 + ind[j]*80 + l];
            }
          }

      fp1=fopen(argv[1],"r");
      fp2=fopen(argv[2],"w");
      i = 0;
      while(fgets(buf,120,fp1) != NULL)
      if(!strncmp(buf,"ATOM  ", strlen("ATOM  ")))
         {
           buf[60]='\0';
           if(pred[i] <= 1/cutoff) pred[i] = 1.0/cutoff;
           else if(pred[i] > 1.0/rad[i]) pred[i] = 1.0/rad[i];
           fprintf(fp2, "%s %5.2lf\n", buf, 1.0/pred[i]);
           i++;
         }
      fclose(fp1);
      fclose(fp2);
}

double dist(double *coor1, double *coor2)
{
double d;
int k;
d = 0.0;
for(k=0;k<3;k++)
d = d + (coor1[k] - coor2[k])*(coor1[k] - coor2[k]);
d = sqrt(d);
return(d);
}


double coef[2000] = 
{
0.0244197577748664,
0.0244197577748664,
0.0244197577748664,
0.00789515637840459,
-0.0193769894040649,
-0.0262671292876239,
-0.0230083897607864,
-0.0257986641717318,
-0.0272713695159698,
-0.0223543416306936,
-0.0216058382535722,
-0.0178621268924486,
-0.0174059494558728,
-0.0176923223689458,
-0.016412382195405,
-0.0162668423919221,
-0.0151262611037461,
-0.0117755161116799,
-0.00993278441352002,
-0.0087212269024868,
-0.00726996437957013,
-0.00599502109670586,
-0.00446360553581107,
-0.0032562248628309,
-0.00242856853127768,
-0.0018823712598355,
-0.000951140704571168,
-0.000618259266016256,
-0.000618775511042829,
-0.000735618801873185,
-0.000581228372377663,
-0.000420066693635748,
-0.000319703292781932,
-0.000373782245660805,
-0.000222238411526809,
-0.000163018504645272,
-0.000199494190295702,
-9.79845682032386e-05,
-1.23390847929023e-05,
7.67873769847883e-05,
-3.16085218628939e-06,
1.15095657690206e-05,
-3.94929204909629e-05,
-9.74668419928907e-07,
-2.71852990687864e-05,
4.20123032259585e-05,
4.91691752972494e-05,
9.25032648429919e-05,
8.27206778032163e-05,
2.72808341200425e-05,
7.92533551906027e-05,
9.40611776024267e-05,
8.16631632982603e-05,
7.16911478404083e-05,
2.05095946093353e-05,
-6.54762055599769e-05,
-4.65889071563228e-05,
-5.63533957116934e-05,
-5.99154136974631e-05,
-6.45996014971919e-05,
-1.39140167103671e-05,
1.90514201868827e-05,
5.21822574170277e-06,
-3.62819052003794e-05,
-9.32031954910593e-06,
5.42099898582039e-06,
8.17588783411393e-06,
-3.80378966540868e-05,
9.81162162862493e-06,
1.93392226070824e-05,
-1.38707933745475e-05,
0.000108008189518419,
5.63959577010536e-05,
7.60310305498969e-05,
9.34794843091198e-05,
7.95125966748944e-05,
0.000100570918629867,
0.00011230707228402,
4.82968458021788e-05,
8.61836356038958e-05,
-0.0232111867654987,
-0.0232111867654987,
0.0393548144637616,
0.0183240840584618,
-0.0286900261997707,
-0.0170315127796071,
-0.0381555488554478,
-0.04247653548617,
-0.0323874888982939,
-0.0249144159731745,
-0.0265592728654046,
-0.0307458117368936,
-0.0244913221689034,
-0.0227357087075091,
-0.0210605511984237,
-0.0182715817552986,
-0.0158430726222918,
-0.0109221717233442,
-0.00737393741788634,
-0.00458656676151624,
-0.00162532223971106,
0.00070870203727751,
0.00110675180513767,
0.000633007306242881,
0.00132546001972561,
0.00143173500510973,
0.00101286690439242,
0.00112731674142285,
0.00124388339925553,
0.00122564314338081,
0.00120178536364195,
0.00125799584304079,
0.0016203615195825,
0.000895733023568199,
8.60487180601749e-05,
-0.000158703290849382,
-0.000428595838993555,
-0.000557920135201623,
-0.000195352414158681,
-0.000502185993520811,
-0.000676718502716668,
-0.000394048752151845,
-0.000363695306846672,
4.94616250023361e-05,
-0.000491382568619308,
-0.000491755454291659,
-0.000589649207868058,
-0.000485462565879059,
-0.000610004790834258,
-0.000429447987196722,
-0.000499814955641068,
-0.000290252637801785,
-0.000398503352970025,
-0.000480299601168796,
-0.000518293284716975,
-0.000506344093272477,
-0.000379501828189479,
-0.000393818051035782,
-0.000442104241234167,
-0.000519461444404366,
-0.000190210576829358,
-0.000253385741670443,
-0.000235936897040769,
-0.000178338076567737,
-0.000325464308991085,
-0.000270746267043441,
-0.000159523889518267,
-9.24199285371797e-05,
-7.5905241419306e-05,
-9.56178919431572e-05,
-0.000114800894255819,
-0.00010234227758931,
-6.28445218865042e-05,
-0.000186430920358884,
-0.000183804169895536,
-0.000137231368768093,
-0.000213012161125467,
-0.000172456764590911,
-0.000113193663155246,
-0.000230157295122771,
-0.00613806797217172,
-0.00613806797217172,
-0.00613806797217172,
-0.00613806797217172,
-0.0472184664129411,
-0.0362631844778347,
-0.0488081856175951,
-0.0368495308393179,
-0.0275875778200011,
-0.00710020503500634,
-0.00892494857686596,
-0.0160168004143725,
-0.0151048123095619,
-0.012621678489761,
-0.0122668593379459,
-0.0100165949011338,
-0.00622707220306394,
-0.00478786687812176,
-0.00451418232785993,
-0.00466553693695019,
-0.00323424274334909,
-0.0024626620638627,
-0.00125390674275733,
0.000445137886389358,
0.000753257731465852,
0.000345897125838338,
-0.000797348472387427,
-0.000645364113232311,
8.38614006130162e-05,
-0.000100182196023926,
-0.000219620546940133,
0.000209112316449266,
-0.000287611537402575,
-0.000771253346874574,
-0.00077022027948777,
-0.000899076507335371,
-0.00148231720621564,
-0.0018111905184593,
-0.00172362228264754,
-0.00145468430091013,
-0.00133700092859546,
-0.00135214237059695,
-0.0010683257178581,
-0.000924996053004652,
-0.000820431199776463,
-0.000646206864453325,
-0.000703669881381044,
-0.000717217765726503,
-0.000769322773511378,
-0.000565397851188184,
-0.000557835884022074,
-0.000415396628387773,
-0.000431873268746647,
-0.000276565811933869,
-0.000352198338385162,
-0.000344081555383419,
-0.000218090290899826,
-0.000117506649987505,
-0.00020712129096218,
-0.000152884830855088,
-0.000142298057865322,
-0.000198350543535493,
-7.45330742169802e-05,
-0.000170205623266822,
-0.000169690930046275,
-9.46597095302592e-05,
-6.43480673700757e-05,
-0.000161802248620294,
-8.46448408691014e-05,
-3.71836971443257e-05,
-2.06564046743314e-05,
-0.00024104842211936,
-8.83976641899203e-05,
-0.000120588266768084,
-0.000109814464965099,
-1.03036010379965e-05,
-9.3008649133716e-05,
-5.31317259867203e-05,
-0.000114498623775942,
-9.07575770939483e-05,
-0.0163975555519697,
-0.0163975555519697,
-0.0163975555519697,
-0.0461528701505108,
-0.0174006615232739,
-0.0139818004038309,
-0.044042452477268,
0.00125407154304154,
-0.023050604203857,
-0.0133984024016646,
-0.0148904486186243,
-0.00112662862472633,
-0.013254411271131,
-0.0107164246299671,
-0.013149320048582,
-0.015273611329074,
-0.0154650115477524,
-0.016263192067974,
-0.015394948137529,
-0.0134239752912826,
-0.0108355226601086,
-0.0105379967281638,
-0.0089885837630456,
-0.00813482887672117,
-0.00686871060586105,
-0.00547473247889317,
-0.0046377007364161,
-0.00404445446076468,
-0.00369520113911445,
-0.00291418315470774,
-0.00217482112389472,
-0.00184345197554406,
-0.00161938058773802,
-0.00145870155793085,
-0.00133285572967216,
-0.00128012543203739,
-0.00115885902852143,
-0.000860673372501788,
-0.000976129680079396,
-0.00103479234174828,
-0.00105821136277317,
-0.00105273985412792,
-0.00107720968445186,
-0.000931700195523473,
-0.000795615622665842,
-0.000722822008780762,
-0.000618946415273405,
-0.000727713764522018,
-0.000624424024200803,
-0.00068012047052185,
-0.000628833634746467,
-0.000561537554313431,
-0.000536457365382331,
-0.000460022548774587,
-0.000281799885042673,
-0.000259199054862829,
-0.000145413057985091,
-0.000211012189986635,
-0.000121324738336375,
-0.000138391360128376,
-4.61462818558872e-05,
-0.000112954648805459,
-8.87963941413567e-05,
-0.000138150311493131,
-3.20498423204446e-05,
-2.60722948324214e-05,
-9.28020033468816e-05,
-4.54205980409116e-05,
-0.000105158848036392,
-8.97640146345302e-05,
-7.8593161250149e-05,
-5.92709674420923e-05,
-0.000110565522410654,
-4.81230076999207e-05,
-4.81240860343661e-05,
-2.75742821041953e-05,
-3.68002385686793e-05,
2.55731624719673e-05,
3.05593272294837e-05,
6.24298090849844e-05,
-0.0874838496176538,
-0.0874838496176538,
-0.0874838496176538,
-0.0874838496176538,
-0.0874838496176538,
-0.0872624694309792,
-0.12642338782209,
-0.0379863015262699,
-0.0203371620972047,
-0.0418298420052175,
-0.0489118388827002,
-0.04090971387787,
-0.0532249439391789,
-0.0504274916989196,
-0.0483728735909734,
-0.0490549886898987,
-0.0491254131238103,
-0.0417320297835468,
-0.0330363463808076,
-0.0329278654590802,
-0.0285387775337934,
-0.0230047890375327,
-0.0176101309241847,
-0.0168824715274696,
-0.0128607232532611,
-0.0109462271953076,
-0.00922268157731372,
-0.00799887881062976,
-0.005571802278117,
-0.00428595645652311,
-0.00360033707686873,
-0.00305550048437546,
-0.00217860657480018,
-0.00183945814557712,
-0.00147744188703017,
-0.00151282649946133,
-0.000897038973811599,
-0.0003891889654581,
-0.00114753754643298,
-0.000876089618786575,
-0.000492155891126286,
-0.00070417083133802,
-0.000296205462422215,
-0.000429994032450067,
0.00045654851440676,
-0.000736297220508862,
-0.000174513690730398,
-0.000253622451892641,
-0.000193409786429796,
-0.000321019354124221,
-0.000358031300321727,
-3.21268334859118e-05,
-0.00026042294415993,
0.000501916985402283,
-0.000292771256693637,
0.000305386015335386,
0.000568053808940653,
7.15332184674031e-05,
-0.000485940765577203,
-0.000687185431126981,
-0.000818953830308451,
1.1102740512738e-05,
4.15396210772419e-05,
-0.000174664943861755,
-0.0001027427270096,
-6.03298343791134e-05,
0.000246998750989869,
5.503830519154e-06,
0.000279105543544073,
0.000661860738074157,
0.000237474185387907,
0.000527545964392354,
0.000523912264286447,
-0.000480064787110392,
0.000407055166359663,
0.000498129162777552,
0.000119265341103523,
0.000773259608679785,
0.000340650744861398,
-1.07970181551278e-06,
0.0167233049793704,
0.0167233049793704,
0.0168640302176387,
0.0189464114231896,
-0.00346365385111694,
0.00549532182639093,
-0.017718484365935,
-0.00877014662407467,
-0.0171382028277283,
-0.0178932492145447,
-0.0151013509775971,
-0.0151203631757615,
-0.0140336997076262,
-0.0133623635109124,
-0.0110919576839122,
-0.00965026574292477,
-0.00857999124417486,
-0.00755495262745547,
-0.00621222840160241,
-0.00526262845639565,
-0.00457288953234444,
-0.00256505075485768,
-0.00244438284708992,
-0.00234709132012075,
-0.0019696240941027,
-0.00131413258580667,
-0.000973823230042743,
-0.000668061111766111,
-0.0011752075549108,
-0.000951072730669053,
-0.000676751142977251,
-0.000507967404069585,
-0.000465342105306989,
-0.000566715273802223,
-0.000518391732926916,
-0.000203932560436649,
-0.00014316537379964,
-8.54705223158318e-05,
0.000167713839806543,
0.000132348966846983,
9.38679458576178e-05,
2.08761966791585e-05,
2.35337555539219e-05,
5.64742364905998e-05,
1.71319614633283e-05,
0.00013117808674988,
-0.000101859286833202,
2.63231874923686e-06,
-9.27026887210084e-05,
2.01266459649659e-05,
-1.85164483147197e-05,
0.000109499388047303,
3.80842875982826e-05,
2.53685850313384e-05,
2.04382639390758e-05,
2.32330501966793e-05,
1.35176762795822e-05,
4.11104401757558e-05,
3.72419154968471e-05,
8.79023994722751e-06,
6.77668167973279e-05,
0.000120841043429477,
5.03834445370527e-05,
4.63970918257385e-05,
3.84296898213273e-05,
6.24049591798116e-05,
8.01482747181533e-05,
1.38823043623306e-05,
2.92951278003282e-05,
-1.83450346182359e-05,
-1.77194926768158e-05,
-8.44521291008265e-05,
-3.72233847425896e-05,
1.97961574109328e-05,
-2.24211614544478e-05,
9.52057937935954e-05,
7.28647619603412e-05,
-8.33738328357232e-06,
9.89607871641558e-05,
-1.20012050397331e-06,
-0.121705926880973,
-0.121705926880973,
-0.121705926880973,
-0.121705926880973,
-0.121705926880973,
-0.0225745795279706,
0.00627947861183891,
-0.0016147967474994,
-0.00950907210683771,
-0.0615650965288478,
-0.020103181702005,
-0.0302960239705182,
-0.019510761197311,
-0.0195406043382342,
-0.0192450744587748,
-0.0140791238085595,
-0.0124102566965289,
-0.0094066075129703,
-0.00920043211089009,
-0.00860349384267603,
-0.00712560824107143,
-0.00521187306325437,
-0.00341267429008581,
-0.00243129291036993,
-0.00114129144018225,
-0.000714764933315957,
-0.000799360344115623,
-1.03479160608372e-05,
-0.000204097107673724,
6.60380092108604e-05,
0.00112955144578813,
0.000825985165156629,
9.68385099937038e-05,
-9.24802278775202e-05,
0.000393374991651312,
0.000128558026242371,
-0.00031766455912157,
-0.000295241823725591,
-0.000295221301834621,
-0.000375476853109302,
-0.000498848209344139,
-0.000211201687376978,
0.000209089582533701,
0.000323023020864428,
0.000118894398618524,
-0.000607082399853183,
-0.000286588824671898,
-0.000260165510099059,
-0.000339792403536195,
-0.000600312869718537,
-0.000475374493610668,
-0.000371002599974647,
-0.000381061629994688,
8.03435543733454e-05,
0.000166764144271862,
8.9241426228976e-06,
-4.80552667891545e-05,
2.72415780659256e-05,
-3.70244163733292e-06,
0.000111541926478002,
-5.99685447391888e-05,
-3.30607240908459e-05,
0.000184502727359126,
0.000191405822920904,
-2.30249539578169e-05,
-0.0002276755684904,
-8.5265978501367e-05,
-0.000152022306023044,
-1.61585315439894e-05,
0.00011832311627044,
0.000127141637288768,
0.00011944076996386,
-0.000281788269599133,
-0.000145843265721394,
-0.00014904053368964,
-0.000150609625039887,
-0.000177606239356696,
-5.57626559644636e-05,
-0.000170626991347474,
-0.000223447734682088,
-0.0842055200021386,
-0.0842055200021386,
-0.0842055200021386,
-0.0842055200021386,
-0.0842055200021386,
-0.0842055200021386,
-0.0842055200021386,
-0.0842055200021386,
0.012419124989616,
0.00123296021566732,
0.00561625390451714,
0.00593193437211091,
-0.0153144621507886,
-0.0144462640419446,
-0.0138009385134564,
-0.0115552447851269,
-0.00835463826819487,
-0.00072478414146435,
-0.00356973769726764,
-0.00514881084122407,
-0.00493691990553279,
-0.00487261067863825,
-0.00410266691741096,
-0.00139735105290003,
-0.000755404980080259,
-0.00094530723154982,
-0.00261427907473339,
-0.00262394925856934,
-0.00106284785219898,
-0.000255526069436505,
-0.000924855410955461,
-0.000820172261469596,
-0.000480736860234375,
0.000354905065698968,
0.000399665148916886,
-0.000265447690389278,
-0.000937255838742996,
-0.00102168380491275,
-0.00109860797039913,
-0.000606585604079103,
-0.00112441791814201,
-0.000987450087254181,
-0.000847762313428822,
-0.00117448757226516,
-0.00108888597492618,
-0.000897717147838392,
-0.000838110204569936,
-0.000867437072313053,
-0.000907592042394942,
-0.00109958564912221,
-0.000861398783026769,
-0.000679830917128442,
-0.000865725262676211,
-0.000760133226747107,
-0.000610697383455614,
-0.000245900424431927,
-0.000202875363171,
-7.51186317164559e-05,
-0.000341494985804617,
-0.000429262922913526,
-0.000437397502143593,
-0.000426330779555393,
-0.000440678863277489,
-0.000452450119618628,
-0.000392915613982399,
-0.000524321875446267,
-0.000401132858590649,
-0.000315745610934234,
-0.000226204227000606,
-0.000449247772616654,
-0.000352443528814418,
-0.000342290284548753,
-0.000227879124934112,
-0.000254969658580261,
-0.000137272906315202,
-0.000119549715527473,
-0.000207477555444725,
-0.000124983287457548,
-0.000141179922661299,
6.63697756436031e-06,
-0.0156143574785257,
-0.0156143574785257,
-0.0371886328706013,
-0.0587629082626768,
0.0626155394479769,
0.0623458661969728,
0.058153842262647,
0.0749442894327986,
0.00935671036155987,
0.00281361704290906,
-0.00679119069748204,
-0.0121081858326001,
-0.0129333815996326,
-0.00578602934219204,
-0.00903881622128422,
-0.00779101059824131,
-0.00962336430293556,
-0.0103743753081503,
-0.00874689321140918,
-0.00787767987862878,
-0.00756248228667143,
-0.00743399786848359,
-0.00628698127930185,
-0.00556350490482882,
-0.00530078978966676,
-0.00468390705810803,
-0.00361489886908936,
-0.002661572826071,
-0.00272538363021221,
-0.00274840859671945,
-0.00274457707723529,
-0.00208402209375117,
-0.00161217547824139,
-0.00113362674520159,
-0.00111231581856648,
-0.000946695647573055,
-0.00101185905417048,
-0.0011097991597286,
-0.000910352635446382,
-0.000827856608615594,
-0.000845339670571027,
-0.000867501549389344,
-0.000652487556074086,
-0.000579468900244084,
-0.000550718897560208,
-0.000488426779215284,
-0.000350218107319969,
-0.000382699499751957,
-0.000390072660058385,
-0.000570268135255368,
-0.000406886275863422,
-0.000528138183968894,
-0.000405552427581018,
-0.000331886959486214,
-0.000275467609073841,
-0.000270210579004995,
-0.00010163756135905,
-0.000142388242389177,
-6.43354057678771e-05,
-0.000101868201409586,
1.54251849221734e-06,
-6.79221578074255e-05,
-8.76014104719128e-05,
-0.00011160541588668,
-0.000107639792032783,
-6.64723059194672e-05,
-0.000200698090926289,
-0.000238778557446466,
-7.7333454401628e-05,
-7.16332916525983e-05,
-8.16813820078039e-07,
-4.57967553960641e-06,
-9.17225905173683e-05,
-7.09916220336876e-05,
-2.41480084951487e-05,
-3.6213522397798e-05,
3.01176210815504e-05,
5.58241661844513e-05,
4.705040496877e-07,
2.79526802352474e-05,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.011187203621347,
-0.0343228070403408,
-0.0574584104593346,
0.00340053563768837,
-0.0235393544704675,
-0.0373576301682934,
-0.0361631946654648,
-0.0310538637689521,
-0.0224358902068542,
-0.0231229389283179,
-0.0208017011702165,
-0.0173057456374698,
-0.0161416015631383,
-0.013943730015332,
-0.0100397131238059,
-0.0105640273802003,
-0.0103785345683283,
-0.00536156191039635,
-0.00609179672236195,
-0.00436667822110423,
-0.006105489946272,
-0.00283378320813515,
-0.00244427221031682,
-0.00394537069543069,
-0.00162678392499737,
-0.00287990313542498,
-0.00241494814293015,
-0.0010215655809837,
0.000785578303087725,
-0.000681815732698004,
-0.000132609166603915,
-0.000268214227104406,
-0.000187243885680129,
-0.00261523181598513,
-0.000618876802554415,
0.000836639938852405,
-0.000466314520957381,
0.000347857710320439,
-0.000245582754532718,
-0.00114305497466621,
0.000172008764986229,
-0.00109825279583155,
-0.000567895385819046,
-0.000441892684650583,
-0.00108340206290741,
0.000301184662097749,
-0.000372504030617787,
3.79343176467216e-05,
0.000173509256440439,
0.000905282442331396,
-0.0005457516423863,
0.00148130030036206,
-3.42366092540838e-06,
0.00104083855429912,
-0.000266944882300147,
-0.000976547317626771,
0.00018124225404417,
0.000966748210898655,
-0.000519358809193833,
-0.00127808288311316,
0.000352615683293372,
0.000418736239482415,
-0.000467174401950342,
-0.000546788305877108,
0.000126781300686979,
0.00112921584964735,
0.000562595158130395,
0.000671229440435359,
0.00010909489083297,
-0.000557590316251785,
0.00751177392057832,
0.00751177392057832,
0.00751177392057832,
0.00751177392057832,
-0.0313947194666909,
-0.0320600682513779,
-0.0291422459769448,
-0.00704972449166854,
0.000992439202957316,
-0.00952786352207751,
-0.0103167123600972,
-0.00659704311230162,
-0.0050926448682947,
-0.00494205493915118,
-0.00588388092705575,
-0.00663826250507878,
-0.00624659579510718,
-0.00530610337202375,
-0.00504292755627914,
-0.00485666627388618,
-0.00396559214437975,
-0.00415365808275893,
-0.00342877372444792,
-0.0024225495389893,
-0.00206549200632348,
-0.00178054831019617,
-0.00183431514691188,
-0.00147732678386055,
-0.000995532210560918,
-0.00082867129047085,
-0.000625353313988856,
-0.000321678420755665,
-0.000308214285239471,
-0.000146188956506981,
4.21375553813988e-05,
0.000242035951088825,
9.0655935012907e-05,
-7.27071141214924e-05,
-5.3262384964938e-06,
5.57499091024124e-05,
0.000110507275166198,
0.000142399077909698,
8.0828627584183e-05,
5.0803565259581e-05,
8.44490785806645e-05,
3.39390982139777e-05,
-4.32182317788529e-06,
5.03378703756724e-05,
5.21359733002911e-05,
6.21485743773537e-05,
6.36085973563575e-05,
0.000126282863168842,
5.80303302947563e-05,
1.28833850566691e-05,
5.36691038439903e-05,
7.92239433210369e-05,
-8.60687556615599e-06,
-6.13411991516387e-05,
2.51050924844588e-05,
-5.02217800399695e-05,
1.05224683067978e-05,
-2.36589073988205e-05,
4.17429058633063e-06,
7.28476258550625e-05,
5.02723430394685e-05,
-1.42363682632473e-05,
9.29110000451499e-06,
-9.02201705090208e-06,
-4.81942690821863e-05,
4.21527780334736e-05,
4.76348176800425e-06,
1.27555842572305e-05,
1.59678409036742e-05,
1.84325295438408e-06,
1.50339133009836e-05,
-3.62877240666255e-05,
1.69899567394939e-05,
3.54439680693071e-05,
1.49029458611013e-05,
3.06020738178735e-05,
-0.00201165399623655,
-0.00201165399623655,
-0.00201165399623655,
-0.00201165399623655,
-0.00201165399623655,
-0.00201165399623655,
-0.00201165399623655,
-0.0486230012905157,
0.0150649453643353,
-0.00047303606437194,
-0.0161890922475502,
-0.0168229530130532,
-0.0088919195539718,
-0.0107540935760915,
-0.0106035341468183,
-0.00823666365242528,
-0.00759554784068272,
-0.00770438677982333,
-0.0109432135875936,
-0.00907670352853979,
-0.00772457850421126,
-0.00558049861459602,
-0.0046815753296686,
-0.00276589883734326,
-0.00163260995652153,
-0.000622113803159812,
-0.00109304721873433,
-0.000915861369890543,
0.000659944921496838,
-2.62566379859916e-05,
-0.000666209967394992,
-0.000639381136389049,
-0.00028563292959419,
0.000978099015964258,
0.000840384529551043,
-0.000222839707477468,
-0.000134926255087031,
8.91547808550084e-05,
0.000257172613903897,
-0.000100337675382124,
-0.000312906783675489,
-0.000372895079602505,
-0.000250361380486429,
-0.000534455955192426,
-0.000476775014569534,
-0.000495268140931451,
-0.000125651104485915,
-0.000118432233404425,
-0.000241606821560283,
-8.80799693965075e-05,
-0.000401889387547875,
-0.000289159100709343,
-0.000244359056476173,
-0.000328668357173418,
-9.54060185401477e-05,
-0.000276466937472055,
1.65451971010123e-05,
-0.000129709377652406,
-0.000139741253872632,
-0.000138397062371087,
-3.45011038753409e-05,
0.00013533929140982,
0.000122222933645163,
3.3914211123509e-05,
2.75362991082482e-05,
-6.15531261071006e-05,
2.18990771741495e-05,
1.05541320896242e-05,
-8.89156975283528e-05,
4.81249351018059e-06,
-0.000110448660438279,
-7.67240153213502e-05,
-8.8485507741073e-05,
-0.000246042090471938,
-0.00025523364616383,
-0.000320639219237586,
-0.000118788204798512,
-7.16883183539148e-05,
-0.000259011399059863,
-0.000140532650647139,
-0.0911140234846612,
-0.0911140234846612,
-0.0911140234846612,
-0.0911140234846612,
-0.0911140234846612,
-0.0911140234846612,
-0.0911140234846612,
-0.0911140234846612,
-0.0911140234846612,
0.0314356004076586,
-0.022918821209076,
-0.0152478502812638,
-0.00634136755471838,
-0.00211080636482285,
-0.00208644040452469,
-0.0097154464284068,
-0.00927321078584955,
-0.00598143219670108,
-0.00462372186097772,
-0.00694117045996537,
-0.00250352604143844,
-5.92634204005495e-05,
-0.00251399896340254,
-0.00203102138021599,
-0.00279078093669994,
-0.00324901782245612,
-0.0027327361277827,
-0.0015539478667417,
-0.00135517033040656,
-0.00112077690437027,
-0.000391893032130693,
-0.0010067663842377,
-0.00152097022427588,
-0.0010883674210968,
-0.000673665243881936,
-0.00102701838658613,
-0.000811303941513531,
-0.00045802108951847,
-0.00090344003983233,
-0.000497770451609251,
-0.00034899512872097,
-0.000639419303796461,
-0.000628431116457015,
-0.000549255685719587,
-0.000592465184976412,
-0.000697815420131314,
-0.000434650039437574,
-0.000380065909478686,
-0.000429491953120556,
-0.000625242842847302,
-0.000537925963587302,
-0.000507552414237943,
-0.000477873523857942,
-0.000166070110993775,
-0.000525643251210936,
-0.000336832474587338,
-0.000570753719504221,
-0.000378414445914161,
-0.000253522143105004,
-0.00018435436012467,
-1.57551983076087e-05,
2.18202284046337e-05,
-0.000253930347813847,
3.7736880983507e-05,
0.00017603723224075,
-0.000107711222271876,
-0.000134973015514034,
-0.000180025588814438,
-0.000103524634453661,
2.52549658849224e-05,
0.000115166313759544,
-7.06471292359612e-05,
-0.000170232634436506,
-4.53533704807968e-05,
-3.27554646050357e-05,
-0.000202062460211035,
-0.000151583240552839,
-7.37084844131634e-05,
1.43785934851486e-06,
-0.000119434106336078,
0.108095036475198,
0.079350559884,
0.050606083292802,
0.0218616067016041,
-0.00688286988959391,
-0.0356273464807919,
-0.0233719935830839,
-0.0314434458602465,
-0.0354733984498385,
-0.0235520474325276,
-0.0174202491918049,
-0.0159701928623309,
-0.0163020549702789,
-0.0131857285431325,
-0.0154028108782286,
-0.0116882938051931,
-0.00977554616100419,
-0.0100026191636156,
-0.00713240131403163,
-0.00667800462861487,
-0.00647663171980847,
-0.00584665613049969,
-0.00482269911554215,
-0.00414153424536227,
-0.00430318216193927,
-0.00389653227949545,
-0.00299119181742221,
-0.00256381449270076,
-0.00233472940573029,
-0.00214820653547783,
-0.00193011599272387,
-0.00148016729349114,
-0.00139955285984876,
-0.00152344763196205,
-0.00130597845724631,
-0.00124043613616407,
-0.000870795176502987,
-0.00100463772104706,
-0.000941644377205956,
-0.000933287821118107,
-0.000706798400205506,
-0.000614315326676255,
-0.000708543388202338,
-0.000625761405414572,
-0.000467900052921371,
-0.000354442155971413,
-0.000251790335276651,
-0.000297900782984213,
-0.000403940863922582,
-0.00024777552798875,
-0.000263816729071626,
-0.00026279710555695,
-0.000273765707925308,
-0.000307727897095263,
-0.00031479609849976,
-0.000197880751124815,
-0.000265423675666022,
-0.000263218309985954,
-0.000182729031579806,
-0.000210602132257011,
-0.000139299048413094,
-0.000205522207227475,
-0.000147636599525714,
-0.000137012250446543,
-8.18706075159719e-05,
-6.16044749145623e-05,
-0.000111999269215571,
-0.000131470867855629,
-0.000101568663986013,
1.03937866164167e-05,
-2.99041952630575e-05,
-9.11981113847552e-05,
-1.49457271599587e-05,
-5.43213196313652e-05,
-3.76541455473937e-06,
-2.40772773456407e-05,
-2.32535621404927e-05,
4.67831269740859e-05,
-3.23361665610143e-05,
-1.55700207704825e-05,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
0.0280644781391261,
-0.0185757593653504,
-0.0254311739066383,
-0.0256412751491121,
-0.02519912910974,
-0.0233734705011409,
-0.0196345083821121,
-0.0188379444115537,
-0.0170094860214845,
-0.0170912440416443,
-0.0119002256615771,
-0.0111013471104732,
-0.00975086068806223,
-0.00918099471542551,
-0.00776962731517366,
-0.00501794007739759,
-0.00506248514187863,
-0.00324539964325682,
-0.00294469255399501,
-0.00491371993790173,
-0.00214059764160105,
-0.000828318878240294,
-0.00204835470957112,
-0.00056795613134049,
-0.00194987149676852,
-0.000612093393499929,
-0.000375958704815931,
-0.000825734650049471,
-0.000824992604057241,
-0.000626751263450656,
-0.00194359530580569,
-0.00144556069701001,
-0.000396942858922704,
-0.000413888504041856,
-0.000553022951291234,
0.000724824731394764,
0.000897752332791347,
-0.00109539040205638,
-0.000317471211215419,
-0.00174758960196815,
-0.000267050244964436,
0.000389439009409317,
-0.000645307784632667,
-0.000296053216955618,
0.000402255540816114,
-0.000742260686450269,
-0.00032899276723601,
0.000113254663188759,
-0.00103802655887192,
-0.000222633430272958,
-0.000140248531322532,
-9.92002448401506e-05,
0.000603040688997774,
-0.000461909293469491,
-0.000835764221690004,
-0.000711153378038114,
0.000163207384116194,
-9.26048307549715e-05,
-0.000832350986254376,
0.000606907208232289,
-5.81538242139139e-05,
0.000147907817014676,
-6.18174501332217e-05,
9.20348585045627e-05,
0.000165731563423209,
0.00032660382837159,
0.00021154341378735,
0.000131456301570801,
0.0181058978330531,
0.0181058978330531,
0.0181058978330531,
-0.0155245091153239,
-0.0171733260491357,
-0.0166261384961003,
-0.0151377786968416,
0.00170838042470142,
-0.00665494243984789,
-0.00274400874798075,
-0.00374470311350032,
-0.00608704934931586,
-0.00583710025260164,
-0.00569285946978438,
-0.00618602095568861,
-0.00640440483944722,
-0.00795734948657803,
-0.0073512576518454,
-0.00663227814108345,
-0.00567364528743513,
-0.00458031083242085,
-0.00434033330696442,
-0.00357270449480129,
-0.00325911286365385,
-0.0027607947068213,
-0.00215946919484968,
-0.00160876562999787,
-0.00133308572675963,
-0.00110987095329737,
-0.000873250448291228,
-0.000613756087352034,
-0.000428378868639169,
-0.000297041033460665,
-0.000192959267748903,
-7.00620290927591e-05,
-7.79590959924966e-05,
-9.73492336777439e-06,
9.79157621905111e-05,
8.46180719404278e-05,
1.84902862225561e-05,
-5.45121649573389e-06,
-5.74700907566572e-06,
-3.27742758955523e-05,
-4.13029692721111e-05,
-5.12689154508213e-05,
-2.44655509279618e-06,
7.40975981636901e-06,
-4.8111240945805e-06,
-2.81666014687472e-05,
4.94106731509813e-05,
5.37105069924035e-05,
4.41473867372773e-05,
2.26117257178079e-05,
3.47386727401329e-05,
6.0803438848851e-05,
5.2790504018163e-05,
2.96776856020554e-05,
1.82172500015279e-05,
-9.41698051690791e-07,
3.41562935659255e-06,
2.84627667697695e-05,
1.5249730403206e-05,
-3.82120508276014e-05,
-1.63829331531253e-05,
-4.54215135420885e-05,
-2.84409816694675e-05,
-1.60887590689192e-05,
1.52013805863663e-05,
-4.67860381332395e-06,
-1.09841856627481e-05,
1.02907566616484e-05,
2.53553469263404e-05,
4.19154502425802e-05,
1.39275822650211e-05,
5.46581058635428e-05,
3.50555969095581e-05,
7.88443281317933e-05,
7.29404754683752e-05,
7.97046177194952e-05,
0.000100489747355245,
-0.0878175326061232,
-0.0878175326061232,
-0.0183425218125009,
0.0511324889811213,
-0.00161646003403861,
-0.0328550017114514,
-0.035542035812346,
-0.0278881417250159,
-0.0229294600510917,
-0.0462384215367152,
-0.011130722586253,
-0.00510576066915175,
-0.00519409401529003,
-0.00960581623901499,
-0.0100281372801143,
-0.00934100692084141,
-0.00703400419803774,
-0.00611539188038042,
-0.00392867343896464,
-0.0027074666012179,
-0.00345166778451972,
-0.0026667319196955,
-0.00286606830188974,
-0.0023060978999957,
-0.0017833176920315,
-0.00136884748308567,
-0.000391971352867074,
-0.000765046703634221,
-0.000887262347555164,
-0.000661599408643439,
-0.000134753466459925,
0.00029283949793844,
0.000499424730037607,
0.000387348721543316,
0.000314251313897715,
0.00038579762511061,
0.000166869902208909,
-3.61962610451647e-05,
4.12210502566846e-05,
0.000174594875302772,
2.0134354708935e-05,
-0.000199822262372227,
-5.30522907544109e-05,
-0.000197542831247393,
-0.000180198884596896,
-0.000291509154089617,
-0.000123648621277694,
-0.000289260003991794,
-0.000428229148035342,
-0.000403353645223829,
-0.000450512839922031,
-0.000337103058895831,
-0.000316572956917172,
-0.000140111338829543,
-0.000213449270229586,
-0.000333818179513555,
-0.000328269028172155,
-0.000222112907299918,
-0.000102849741980654,
-0.000188579810994267,
-0.000199210436945485,
-0.000218136365099323,
-0.000169589046720659,
-8.9486581982025e-05,
-0.000151639397095612,
-0.000158623222418397,
-0.000149496947563774,
-0.000170089335802301,
-8.67081508139816e-05,
-0.000186477309607362,
-0.000155313059669478,
-0.000141176871705548,
-0.000157191551656028,
-0.00015924241006964,
-0.000180232476686937,
-8.51139233999279e-05,
-0.000114587840393943,
-0.00017672317281164,
-0.000119782794712011,
-0.000146870571475932,
0.0721013053896817,
0.0487402416881174,
0.0253791779865531,
0.00201811428498887,
-0.0213429494165754,
-0.0447040131181397,
-0.0350216624197871,
-0.0250218447309089,
-0.0524739731935487,
-0.00883419279860549,
-0.0105476840595456,
0.00452377076690101,
0.00473855859960157,
-0.00861085958019592,
-0.00524778775583634,
-0.00323185062007046,
-0.0016039376609627,
-0.00313229994181923,
-0.00201414161402153,
-0.00103470001132458,
-5.96536238864563e-05,
0.00023315516767864,
-1.35831927910454e-05,
-0.000419125486421953,
-0.0013042677540397,
-0.000811671199937285,
-0.000455161345542854,
-0.000697505587128582,
-0.000716426561959541,
-0.000681885476234255,
-0.000486287148110592,
-0.000424673491112791,
-0.000628580147545776,
-0.000829762963750497,
-0.000641920200347787,
-0.000582885745585119,
-0.00057072794005112,
-0.000795976730501135,
-0.000945492679422365,
-0.000879025207289044,
-0.00084165068968262,
-0.00068336376743496,
-0.000807138797836832,
-0.000687471320364775,
-0.000503347219772318,
-0.000431279264956621,
-0.000545711579839818,
-0.000606060225231482,
-0.000544736876726893,
-0.000437818150110463,
-0.000358910004319701,
-0.000366296043188347,
-0.000385999259049911,
-0.00035004644123221,
-0.000286929614693264,
-0.000335756036310797,
-0.00022025974612523,
-0.000156001223315781,
-0.000168920742695653,
-0.000186467564419465,
-0.00011672715017162,
-0.00015587851791758,
-0.000144619438470463,
-0.000138327396498378,
-5.16973198830784e-05,
-5.40180836368039e-05,
2.16193966859622e-05,
-5.6367558861438e-05,
-3.52341741537405e-05,
-5.81958290303228e-05,
-9.04604234734048e-05,
-4.64670802043209e-05,
-6.72062155039779e-05,
-5.96033745265803e-05,
-6.90770435656255e-05,
-1.91475206603007e-05,
-9.21520865605196e-05,
-6.62958074144276e-05,
-8.12745746233701e-06,
-5.45624520834596e-05,
0.046274285330914,
0.046274285330914,
0.046274285330914,
0.046274285330914,
-0.0341203159473941,
-0.027520533729105,
-0.0398197320912605,
-0.043141739461876,
-0.0503580341945899,
-0.0107037613778579,
0.000490177500769326,
-0.00227916098419048,
-0.00448325409680386,
-0.00397538094315647,
-0.00571175012660215,
-0.00600809020709511,
-0.00832659774685303,
-0.0078591059007429,
-0.00658461172183249,
-0.00659994242308193,
-0.00664294138663603,
-0.00484749000470044,
-0.00357562739781033,
-0.00449377297504526,
-0.00374562618451868,
-0.0032290306422383,
-0.00259309555482738,
-0.0020871850896544,
-0.00233878906272712,
-0.00217800392761934,
-0.00219672804964214,
-0.00202802370453937,
-0.00199307406960701,
-0.00160477439577891,
-0.00122267438583688,
-0.00126441302277678,
-0.00101110077942876,
-0.00111051457349804,
-0.00114658396477244,
-0.000923456817188883,
-0.000884157453913628,
-0.00083692170009848,
-0.000735329865352929,
-0.000540213708974084,
-0.000508066661908777,
-0.000545859116904162,
-0.000486952197831256,
-0.000347501659713683,
-0.000352219073127817,
-0.000416508550933123,
-0.000461443776150689,
-0.000407216480991306,
-0.000280093235608604,
-0.000271739311271292,
-0.000226744962228584,
-0.000226341178437821,
-0.000220154808756558,
-0.000179342096006528,
-0.000202343922049097,
-0.00017918789471628,
-0.000180817727773192,
-0.000115860131665365,
-0.000141478129169023,
-0.000110211683352049,
-8.47230495957087e-05,
-0.000116102374043707,
-9.18438273023738e-05,
-6.33673727858574e-05,
-5.69181514265919e-05,
-9.01308722437965e-05,
-1.87371876716884e-05,
-3.0863816816727e-05,
-3.17085115424063e-05,
-4.00322282913812e-05,
-3.89664959763269e-05,
-1.9873789030756e-05,
1.87864209389702e-05,
-1.2020666608291e-05,
6.32989054565301e-06,
-8.38163106585251e-07,
-0.0933494445163245,
-0.0933494445163245,
-0.0933494445163245,
-0.0933494445163245,
-0.0933494445163245,
-0.0933494445163245,
-0.0933494445163245,
-0.0933494445163245,
-0.043158833419031,
-0.0461556661903121,
-0.0132941031421186,
-0.0120830643469695,
-0.0156949891754577,
-0.0155809157762324,
-0.0143331815091248,
-0.0176832445412242,
-0.0176058022559972,
-0.0210150431295592,
-0.0192618616429715,
-0.019976234574175,
-0.0156554680169251,
-0.0156293864963027,
-0.012970463632678,
-0.01091681328816,
-0.0095861077235232,
-0.00785656480272027,
-0.00722480237641697,
-0.00585025744558347,
-0.00569125824665627,
-0.00357262535616626,
-0.00380872567328275,
-0.00336649831314028,
-0.00251756375435337,
-0.00193246204801371,
-0.00151686537128105,
-0.00162995022153196,
-0.00103236471954372,
-0.000784722434140111,
-0.000588369652365196,
-0.000806069357980875,
-0.000268405507643228,
0.000288361412573393,
-0.00144049094518079,
-0.000605408455898085,
-5.2522603664555e-05,
-0.000846755536698206,
-0.000841805345291545,
-0.000177512963507779,
-0.000298799836750766,
-0.000348805420448919,
-1.71783820722467e-05,
4.88500833089395e-05,
0.000323074207539387,
0.000120023391115926,
0.000222885995394255,
-7.2339911671148e-05,
-8.25193394541498e-05,
-0.000295421065971828,
-0.000208479577165479,
-0.000253854090503081,
0.000223263505918766,
1.16105238569703e-05,
-0.000126312312350418,
-3.02548169597845e-05,
0.000117971233345853,
-1.56964472550489e-05,
-1.48423758307227e-05,
-0.000162180281182893,
-0.000238608403147852,
0.000303794463243694,
-0.000147266601919981,
0.000398243650407989,
3.44193191405349e-05,
0.000134129143643961,
0.000295453021881962,
4.9792922914777e-05,
0.000238712970321285,
0.000386767399701959,
0.000604118579348916,
0.000477244259686275,
-0.0433201775077537,
-0.0433201775077537,
-0.0433201775077537,
-0.0433201775077537,
-0.0433201775077537,
-0.0465474494776424,
0.0712304189208469,
0.0423331104445616,
0.0339118647359205,
-0.0239026274429788,
0.0195540046569133,
0.000370172732567645,
-0.00450847767748224,
-0.00422355372684665,
-0.00599541462847696,
-0.00803845163131613,
-0.00626977109247341,
-0.00788766683558643,
-0.00757444603941294,
-0.00557804745514853,
-0.00563422689858076,
-0.00443629581617533,
-0.00334424346547688,
-0.00307659076413754,
-0.00236545952514532,
-0.00185933982416086,
-0.00233140937768506,
-0.00213113977011098,
-0.00138766549034851,
-0.00106556821921281,
-0.0013576696903479,
-0.00150567701693065,
-0.00161094300153874,
-0.000850474841565473,
-0.000928938550219434,
-0.00180436523745808,
-0.00112672456894081,
-0.000783017915437985,
-0.000425648408926501,
-0.000419310406306749,
-0.00075926296314804,
-0.00015421973100007,
-6.69346500914117e-05,
-0.000362149595549362,
0.000472977138750034,
-8.90876024096581e-05,
-8.15975357632139e-05,
6.32792909373674e-05,
0.000126499175737141,
0.000357747612769999,
4.85062977901681e-05,
-0.000458187181975941,
-3.86989858333413e-05,
-0.000232786138570373,
-0.000196584740167929,
2.57888292772916e-06,
-2.42040912701944e-05,
-0.000251051051996681,
-4.39514443835621e-05,
-0.000153669648787727,
0.000147350717110793,
0.000243894353552159,
0.000119806711026963,
0.000169964494804034,
5.83876997962465e-05,
0.000299929137667309,
0.000490733647175603,
0.000102210915679885,
0.000442952406043718,
2.44024240768756e-05,
-0.000387520615343301,
3.52928389148947e-06,
-0.000232496922025758,
-4.34066869867437e-06,
-5.35807178335181e-06,
-6.64415709479453e-05,
6.30535382487531e-05,
-0.000170446344335514,
-0.000149307804024481,
9.86499669953195e-05,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
0.0138611612272566,
-0.00245206635665875,
-0.0187652939405741,
0.0131418654625474,
-0.00440128183443468,
0.00297814975299706,
-0.000875385491644445,
-0.00347980388634503,
-0.00469728373379056,
-0.00215944319245846,
-0.00120060843480728,
-0.00369468762126636,
-0.00171890793112713,
-0.00320963207654134,
0.00132600346081072,
-0.00127776317619722,
0.00103715365205014,
0.00038085747636668,
-0.000982224768505667,
0.000371644868901784,
-0.000418603244148878,
-0.000186612398456649,
0.000872522278874425,
-0.000190177886844101,
-0.00083366980193943,
-0.000514901579817498,
-0.0010290178871351,
-0.000789257463632873,
4.61686373471267e-07,
-0.000705808512485292,
0.000525144005639732,
0.000361050337973902,
-0.00127612873682047,
-0.000727620307134257,
-0.00020848639147469,
0.00109707046364107,
0.000158991656483219,
8.52529007266741e-05,
0.000525942243335492,
0.000358886368529225,
-0.000221035967122826,
-0.000199319090243999,
-0.000586377303081831,
-0.000114895032175302,
-0.000260537262994203,
-0.000401567436065391,
-0.000523240559255389,
-0.00032511328181753,
-0.000429273958918193,
0.000179091771947003,
2.11654093110341e-05,
0.000131460800360229,
-0.000573659427915869,
0.000353401826525861,
-0.000175148985205511,
0.000690791163351187,
0.00104171533946191,
0.000784822753895178,
0.000314873070565055,
-0.000139163823206164,
0.000613530050505702,
0.000187456284895046,
-0.000822403573941128,
-0.000127732842202199,
5.115124447034e-05,
0.000631672734531842,
0.000760467501298679,
-1.84527380781069e-05,
-8.46957619793077e-06,
-0.000679659699058414,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
0.103155854070549,
-0.00801354686842311,
-0.00116076973600551,
-0.00900688406348494,
-0.0109274093527784,
-0.00805508128183532,
-0.00392946464399101,
-0.00437130441465994,
-0.00484058679930811,
-0.00343026098084327,
-0.00154676657285411,
-0.00133878023864304,
-0.000768116615329458,
-0.0013380033482778,
-0.00111604236573931,
-0.00137619820935328,
-0.000327015524543425,
-0.000106978134181121,
0.000296785300370773,
0.000291796977922699,
0.00192750746360788,
0.000552696152116302,
0.00125946316344971,
0.00190764420557733,
0.000695479895646515,
0.00122115842757048,
0.000954490538113178,
-0.000677354933585025,
0.000499054887405184,
-0.00126875641177989,
3.54987181672807e-05,
-0.00112506238384263,
-2.73163076331098e-05,
0.000433827692071272,
0.000224357076738745,
-0.000257035846565455,
0.000252181084898512,
-0.000322884035950817,
0.000239751808549563,
0.000999299155613128,
-0.00124582859831865,
0.00037764267551641,
-0.000303229527532875,
0.000913668812977593,
0.000959476217590824,
-0.000841462837571345,
-0.000425038661882961,
-0.0011504501604907,
0.000603389407908609,
0.000265585555979387,
-0.000480772634651673,
0.000469940681930563,
-0.000926308523089215,
-0.000365647731895983,
2.76764859005874e-05,
0.000228229949169848,
0.000908618589414845,
-0.000368415914253621,
-0.000718064576266327,
0.000404030400460622,
-0.000382749255574658,
0.000389672135497933,
-0.000322354655034257,
-0.000295440179359409,
-1.8402239844276e-05,
0.00025100069748014,
-0.000169464797683662,
0.00024333537248461,
-0.118681366589585,
-0.118681366589585,
-0.118681366589585,
-0.118681366589585,
-0.118681366589585,
-0.118681366589585,
-0.118681366589585,
-0.118681366589585,
-0.08761089878242,
-0.0915408274542957,
-0.0646227342566148,
-0.0243319884006036,
-0.0254454641318127,
-0.0134977995914832,
-0.0137906002125126,
-0.00933656293679062,
-0.00778189042193726,
-0.00793014186784107,
-0.00768864399681709,
-0.00642280491901702,
-0.00635313237733727,
-0.00578605743621288,
-0.00563888544319315,
-0.00479658799802052,
-0.00355679578234512,
-0.00390315226610121,
-0.00264744925612689,
-0.00255208572521923,
-0.00224446107137888,
-0.00169019820631706,
-0.00179788465275759,
-0.00238340358810542,
-0.00157021613196452,
-0.00138738778742558,
-0.00185300472740203,
-0.00129590810533722,
-0.000891406638857628,
-0.000519270391158047,
-0.000122034745580424,
-0.000628565127368868,
-0.000570292756857414,
-0.000606096984965209,
-0.00062869165140053,
-0.000709212546236178,
-0.000825677917606958,
-0.000741450385306502,
-0.000758976289865357,
-0.000995374637510955,
-0.000109066660619498,
-0.000250775793921932,
-0.000376204977686063,
-0.000442788628274169,
-0.000505376995518048,
-0.000779861007693268,
0.000243800303688724,
-0.000755529046644678,
-2.90823761646323e-05,
-0.000280915881623141,
0.000321944179386494,
-0.000382683744859898,
1.15148180562265e-05,
-0.000600661834786082,
-0.00016444872060139,
-0.000368336380814107,
-0.000166105234784627,
-6.95807733248831e-06,
-0.000167715089889804,
0.000144349152564526,
0.000315640095929003,
-1.35821360916859e-05,
2.16774960308517e-05,
6.07008290095895e-05,
-0.000264831942080503,
-0.000561165497253678,
2.94227324716048e-05,
9.76677427928415e-05,
-0.000312613883775818,
-2.61431670063119e-05,
-0.000159101914802774,
7.41464750359059e-05,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0665978501292129,
-0.0692321406849569,
-0.0428414955310236,
-0.0164508503770903,
-0.0244286542323144,
-0.0324064580875386,
-0.0545839837762031,
-0.040926640341434,
-0.0191707599469791,
-0.0217810478474949,
-0.0103231873238913,
-0.0266818179775721,
-0.0121995514554491,
-0.0141685170795707,
-0.00851950252574132,
-0.010574801801749,
-0.0068668026783258,
0.00313416950947343,
-0.00456573412478316,
0.0050907780646399,
-0.00871944499551923,
-0.00495047068606779,
-0.013336048013344,
-0.0150992648358789,
-0.00110933125033563,
-0.00345383937321159,
-0.00218627774155611,
-0.00739387646242153,
0.000455448023771884,
0.00014919302793356,
-0.00228674152603185,
-0.000363899600155919,
-0.000992739961650553,
-0.00416335599863933,
0.0023144602571526,
0.00255761577437674,
0.00181919398820187,
0.00419211701548769,
0.00230053789366665,
-0.000711885038251481,
-0.000994270836810803,
0.000656980874027962,
0.00252593666183204,
-0.000869345488712468,
0.00194412835214661,
0.000913525728979045,
0.0026379693522862,
0.00179089152932095,
-0.000897353705489573,
0.00411116010059355,
0.00290082428522754,
0.00232187436685695,
0.00200632255243934,
0.000624852242514904,
0.00126362275444402,
-0.00189001668613987,
-0.000316766837529746,
0.00150935441763187,
0.00194994090388888,
-0.00338258827416376,
-0.00146022036564932,
-0.00219643407986534,
0.000137989254742552,
-0.00288730267296087,
-1.43739011941182e-05,
-0.000722370637732262,
-0.00118697079086156,
3.80443192425823e-05,
0.00513246749734287,
-0.000607405873609627,
0.00396863700221422};
