/******************** Defines *********************************/
#define MAX_N_ATOM 20000
/******************** Includes *********************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <malloc.h>

/******************* 10 for ran3 ****************************/

/******************** Prototypes *********************************/

double dist(double *coor1, double *coor2); 

/****************** Main  ******************************/

int main(int argc, char *argv[]) 
{
      FILE *fp1, *fp2;
      char buf[121], *el, token[10];
      int i,j,k,l,m,n, dim, dimh, n_atom, *ind;
      double cutoff = 16.0, *gbr, *pred, *rad, **coor, x,y,z,r,g, d, bin = 0.2, *r0;
      int **hist;

      i = (int) ((cutoff + bin/2.0)/bin);
      dim = (i)* 25 + 5; 
      dimh = i; 
      
      if(argc != 3)
      {
      printf("Usage: ./pdb_to_histogram file_in.pdb file_out.hist\n");
      exit(0);
      }
      i = 0;
      fp1=fopen(argv[1],"r");
      while(fgets(buf,120,fp1) != NULL) 
      if(!strncmp(buf,"ATOM  ", strlen("ATOM  ")))
       i++;
      n_atom = i;
      fclose(fp1);
      el = calloc(n_atom, sizeof(char));
      ind = calloc(n_atom, sizeof(int));
      hist = calloc(n_atom, sizeof(int *));
       for(i=0; i< n_atom; i++)
          hist[i] = calloc(400,sizeof(int));
      coor = calloc(n_atom, sizeof(double *));
      rad = calloc(n_atom,sizeof(double));
       for(i=0; i< n_atom; i++)
          coor[i] = calloc(3,sizeof(int));
      i = 0;
      fp1=fopen(argv[1],"r");
      while(fgets(buf,120,fp1) != NULL)
        if(!strncmp(buf,"ATOM  ", strlen("ATOM  ")))
         {
         strncpy(token,buf+12,4);
         token[4]='\0';
         for(j=0; j< 4; j++)
          if(isalpha(token[j])) break;
          if(token[j] == 'H') {ind[i] = 0; el[i] = 'H';} //H
          else if(token[j] == 'O') {ind[i] = 1; el[i] = 'O';} //O
          else if(token[j] == 'N') {ind[i] = 2; el[i] = 'N';} //N
          else if(token[j] == 'C') {ind[i] = 3; el[i] = 'C';} //C
          else {ind[i] = 4; el[i] = 'S';} //S
        strncpy(token,buf+30,8);
         token[8]='\0';
         sscanf(token,"%lf", &x);
          coor[i][0] = x;
         strncpy(token,buf+38,8);
         token[8]='\0';
         sscanf(token,"%lf", &y);
          coor[i][0] = x;
         strncpy(token,buf+46,8);
         token[8]='\0';
         sscanf(token,"%lf", &z);
          coor[i][0] = x;
          coor[i][1] = y;
          coor[i][2] = z;
          i++;
          }
       fclose(fp1);
       n_atom = i;  
          for(i=0; i<n_atom; i++)
          {
           for(j=0; j<n_atom; j++)
            if(i != j )
            {
            d = dist(coor[i],coor[j]); 
            l = (int) (d/bin);
            if(l < 80 )
            hist[i][ind[j]*80 + l] = hist[i][ind[j]*80 + l] + 1; 
            }
          }
      fp2=fopen(argv[2],"w");
          for(i=0; i<n_atom; i++)
           {
           for(j = 0; j< 400; j++)
            fprintf(fp2, "%4i ", hist[i][j]);
            fprintf(fp2, "%c\n", el[i]);
           }
      fclose(fp2);
}

double dist(double *coor1, double *coor2)
{
double d;
int k;
d = 0.0;
for(k=0;k<3;k++)
d = d + (coor1[k] - coor2[k])*(coor1[k] - coor2[k]);
d = sqrt(d);
return(d);
}


