import re
import pandas as pd
from keras.models import model_from_json
import numpy as np


def preprocess():
    file = open('protein.hist', 'r')
# protein.hist is the file that contain the data that we want to predict, it must have the shape of(_,400)
    lines = file.readlines()
    file.close()
    fileo = open('protein.csv', 'w+')
    for line in lines:
        line = re.sub("[ ]+", ",", line.strip())
        fileo.write(line + "\n")
    fileo.close()


preprocess()
data1 = pd.read_csv('protein.csv', sep=",", header=None)
print('The shape of the input data is', data1.shape)
test_data = data1.loc[:, :399]
test_targets = data1.loc[:, 400]
n = data1.shape[0]
results = []
# load json and create model for N
json_file = open('model_N.json', 'r')
loaded_model_json = json_file.read()
json_file.close()
loaded_model_N = model_from_json(loaded_model_json)
# load weights into new model for N
loaded_model_N.load_weights("model_N.h5")

# load json and create model for S
json_file = open('model_S.json', 'r')
loaded_model_json = json_file.read()
json_file.close()
loaded_model_S= model_from_json(loaded_model_json)
# load weights into new model for S
loaded_model_S.load_weights("model_S.h5")

# load json and create model for C
json_file = open('model_C.json', 'r')
loaded_model_json = json_file.read()
json_file.close()
loaded_model_C = model_from_json(loaded_model_json)
# load weights into new model for C
loaded_model_C.load_weights("model_C.h5")

# load json and create model for O
json_file = open('model_O.json', 'r')
loaded_model_json = json_file.read()
json_file.close()
loaded_model_O = model_from_json(loaded_model_json)
# load weights into new model for O
loaded_model_O.load_weights("model_O.h5")

# load json and create model for H
json_file = open('model_H.json', 'r')
loaded_model_json = json_file.read()
json_file.close()
loaded_model_H = model_from_json(loaded_model_json)
# load weights into new model for H
loaded_model_H.load_weights("model_H.h5")


for i in range(n):
    r = test_data.loc[i, :399].values
    r = r.reshape(1, 400)
    if test_targets.loc[i] == 'N':
        print('#', i, ' Loaded model N from disk predict:')
        # evaluate loaded model on test data
        predic1 = loaded_model_N.predict(r)
        results.append(predic1[0][0])
        print(predic1)
    elif test_targets.loc[i] == 'S':
        print('#', i, ' Loaded model S from disk predict:')
        # evaluate loaded model on test data
        predic1 = loaded_model_S.predict(r)
        results.append(predic1[0][0])
        print(predic1)
    elif test_targets.loc[i] == 'C':
        print('#', i, ' Loaded model C from disk predict:')
        # evaluate loaded model on test data
        predic1 = loaded_model_C.predict(r)
        results.append(predic1[0][0])
        print(predic1)
    elif test_targets.loc[i] == 'O':
        print('#', i, ' Loaded model O from disk predict:')
        # evaluate loaded model on test data
        predic1 = loaded_model_O.predict(r)
        results.append(predic1[0][0])
        print(predic1)
    elif test_targets.loc[i] == 'H':
        print('#', i, ' Loaded model H from disk predict:')
        # evaluate loaded model on test data
        predic1 = loaded_model_H.predict(r)
        results.append(predic1[0][0])
        print(predic1)
    else:
        print('#', i, "No element assigned for this row")
# it print the results
print(results)
# you can find the file in the same directory of the code
print("The Predictions are extracted and saved in Predictions_results.csv file")
df = pd.DataFrame(results, columns=["Predictions"])
df.to_csv('Predictions_results.csv', index=False)




